#
# spec file for package python-django-coverage-plugin
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-django-coverage-plugin
Version:        3.1.0
Release:        1.4
Summary:        Django template coveragepy plugin
License:        Apache-2.0
URL:            https://github.com/nedbat/django_coverage_plugin
Source:         https://github.com/nedbat/django_coverage_plugin/archive/v%{version}.tar.gz#/django_coverage_plugin-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Django
Requires:       python-coverage >= 4.0
Provides:       python-django_coverage_plugin = %{version}
Obsoletes:      python-django_coverage_plugin < %{version}
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module Django}
BuildRequires:  %{python_module coverage >= 4.0}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module unittest-mixins}
# /SECTION
%python_subpackages

%description
Django template coverage.py plugin

%prep
%autosetup -p1 -n django_coverage_plugin-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/django_coverage_plugin*

%changelog
* Tue Aug  8 2023 Dirk Müller <dmueller@suse.com>
- update to 3.1.0:
  * Dropped support for Python 3.7 and Django 1.x. Declared
    support for Python 3.12.
* Thu Apr 13 2023 pgajdos@suse.com
- python-six is not required
* Fri Feb 10 2023 Dirk Müller <dmueller@suse.com>
- update to 3.0.0:
  * Dropped support for Python 2.7, Python 3.6, and Django 1.8.
  * Declare our support for Python 3.11 and Django 4.1.
* Sat Sep  3 2022 John Vandenberg <jayvdb@gmail.com>
- Update to v2.0.3
  * Add support for Django 4.0
* Sun Dec 26 2021 John Vandenberg <jayvdb@gmail.com>
- Update to v2.0.2
  * If a non-UTF8 file was found when looking for templates, it
    would fail when reading during the reporting phase, ending
    execution. This failure is now raised in a way that can be
    ignored with a .coveragerc setting of
    [report] ignore_errors=True.
  * When using source=., an existing coverage HTML report directory
    would be found and believed to be unmeasured HTML template files
- from v2.0.0
  * Drop support for Python 3.4 and 3.5.
  * A setting is available: template_extensions lets you set the file
    extensions that will be considered when looking for unused templates
  * Fix an issue on Windows where file names were being compared
    case-sensitively, causing templates to be missed
  * Fix an issue where tag libraries can't be found if imported
    during test collection.
* Thu May 20 2021 pgajdos@suse.com
- %%check: use %%pytest macro
* Thu Feb 20 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.8.0:
  * Support coverage 5
  * New django and python support
* Mon Feb 18 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.6.0
